//#include <QtGui/QApplication>
#include "MainWindow.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    MainWindow w;

    QObject::connect(w.ui->sliderR, SIGNAL(valueChanged(int)), &w, SLOT(updateR(int)));
    QObject::connect(w.ui->sliderG, SIGNAL(valueChanged(int)), &w, SLOT(updateG(int)));
    QObject::connect(w.ui->sliderB, SIGNAL(valueChanged(int)), &w, SLOT(updateB(int)));
    QObject::connect(w.ui->comboLed, SIGNAL(currentIndexChanged(int)), &w, SLOT(updateLed(int)));
    QObject::connect(w.ui->chkIR0, SIGNAL(stateChanged(int)), &w, SLOT(handleIR0(int)));
    QObject::connect(w.ui->chkIR1, SIGNAL(stateChanged(int)), &w, SLOT(handleIR1(int)));
    QObject::connect(w.ui->chkIR2, SIGNAL(stateChanged(int)), &w, SLOT(handleIR2(int)));
    QObject::connect(w.ui->chkIR3, SIGNAL(stateChanged(int)), &w, SLOT(handleIR3(int)));
    QObject::connect(w.ui->chkIR4, SIGNAL(stateChanged(int)), &w, SLOT(handleIR4(int)));
    QObject::connect(w.ui->chkIR5, SIGNAL(stateChanged(int)), &w, SLOT(handleIR5(int)));
    QObject::connect(w.ui->chkIR6, SIGNAL(stateChanged(int)), &w, SLOT(handleIR6(int)));
    QObject::connect(w.ui->chkIR7, SIGNAL(stateChanged(int)), &w, SLOT(handleIR7(int)));
    QObject::connect(&w, SIGNAL(turnOnIR0()), &w, SLOT(turnOnIR0Slot()));
    QObject::connect(&w, SIGNAL(turnOffIR0()), &w, SLOT(turnOffIR0Slot()));
    QObject::connect(&w, SIGNAL(turnOnIR1()), &w, SLOT(turnOnIR1Slot()));
    QObject::connect(&w, SIGNAL(turnOffIR1()), &w, SLOT(turnOffIR1Slot()));
    QObject::connect(&w, SIGNAL(turnOnIR2()), &w, SLOT(turnOnIR2Slot()));
    QObject::connect(&w, SIGNAL(turnOffIR2()), &w, SLOT(turnOffIR2Slot()));
    QObject::connect(&w, SIGNAL(turnOnIR3()), &w, SLOT(turnOnIR3Slot()));
    QObject::connect(&w, SIGNAL(turnOffIR3()), &w, SLOT(turnOffIR3Slot()));
    QObject::connect(&w, SIGNAL(turnOnIR4()), &w, SLOT(turnOnIR4Slot()));
    QObject::connect(&w, SIGNAL(turnOffIR4()), &w, SLOT(turnOffIR4Slot()));
    QObject::connect(&w, SIGNAL(turnOnIR5()), &w, SLOT(turnOnIR5Slot()));
    QObject::connect(&w, SIGNAL(turnOffIR5()), &w, SLOT(turnOffIR5Slot()));
    QObject::connect(&w, SIGNAL(turnOnIR6()), &w, SLOT(turnOnIR6Slot()));
    QObject::connect(&w, SIGNAL(turnOffIR6()), &w, SLOT(turnOffIR6Slot()));
    QObject::connect(&w, SIGNAL(turnOnIR7()), &w, SLOT(turnOnIR7Slot()));
    QObject::connect(&w, SIGNAL(turnOffIR7()), &w, SLOT(turnOffIR7Slot()));
    QObject::connect(w.ui->btnConnect, SIGNAL(clicked()), &w, SLOT(connect()));
    QObject::connect(w.ui->sliderIR, SIGNAL(valueChanged(int)), &w, SLOT(updateIRIntensity(int)));
    QObject::connect(w.ui->btnTurnOff, SIGNAL(clicked()), &w, SLOT(turnLedsOff()));
    QObject::connect(w.ui->btnTurnOn, SIGNAL(clicked()), &w, SLOT(turnLedsOn()));

    w.show();
    return a.exec();
}
